%define py_ver %(python -c "import sys; v=sys.version_info[:2]; print '%%d.%%d'%%v" 2>/dev/null || echo PYTHON-NOT-FOUND)
%define maxver %(python -c "import sys; a,b=sys.version_info[:2]; print%'%%d.%%d'%%(a,b+1)" 2>/dev/null || echo PYTHON-NOT-FOUND) 
%define minver %py_ver
%define py_prefix  %(python -c "import sys; print sys.prefix" 2>/dev/null || echo PYTHON-NOT-FOUND)
%define py_libdir  %{py_prefix}/%{_lib}/python%{py_ver}
%define py_sitedir %{py_libdir}/site-packages

Name: repsys
Version: 1.5.8
Epoch: 1
Release: %mkrel 1
Summary: Tools for Mandriva Linux repository access and management
Group: Development/Other
Source: %{name}-%{version}.tar.bz2
Source1: mdk-rebrand-mdk
# Direct wrapper for get srpm with release based on svn number
Source2: getsrpm-mdk
License: GPL
URL: http://qa.mandriva.com/twiki/bin/view/Main/RepositorySystem
# This is only needed by the 1.6.x branch of repsys
#Requires: python-cheetah
Buildrequires: python-devel
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: python 
BuildRequires: python-devel
BuildArch: noarch

%description
Tools for Mandriva Linux repository access and management.

%prep
%setup -q

%build
python setup.py build

%install
rm -rf %{buildroot}

python setup.py install --root=%{buildroot}
# Using compile inline since niemeyer's python macros still not available on mdk rpm macros
find %{buildroot}%{py_sitedir} -name '*.pyc' -exec rm -f {} \; 
python -c "import sys, os, compileall; br='%{buildroot}'; compileall.compile_dir(sys.argv[1], ddir=br and 
(sys.argv[1][len(os.path.abspath(br)):]+'/') or None)" %{buildroot}%{py_sitedir}

mkdir -p %{buildroot}%{_sysconfdir}
mkdir -p %{buildroot}%{_datadir}/repsys/
mkdir -p %{buildroot}%{_bindir}/
install -m 0755 %{SOURCE1} %{buildroot}%{_datadir}/repsys/rebrand-mdk
install -m 0755 create-srpm %{buildroot}%{_datadir}/repsys/create-srpm
install -m 0755 %{SOURCE2} %{buildroot}%{_bindir}/getsrpm-mdk
install -m 0644 repsys.conf %{buildroot}%{_sysconfdir}

%post
if [ "$1" = "2" ]; then
	if ! grep -q '^create-srpm' %{_sysconfdir}/repsys.conf; then
		cat >> %{_sysconfdir}/repsys.conf <<EOF

[helper]
create-srpm = %{_datadir}/repsys/create-srpm
EOF
	fi
fi

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc ChangeLog
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/repsys.conf
%{_bindir}/repsys
%{_bindir}/getsrpm-mdk
%{_datadir}/repsys
%{py_sitedir}/RepSys


%changelog
* Sat Aug 19 2006 Andreas Hasenack <andreas@mandriva.com>
+ 2006-08-19 00:18:08 (56843)
- updated to 1.5.8

* Fri Aug 04 2006 Andreas Hasenack <andreas@mandriva.com>
+ 2006-08-04 14:48:32 (51785)
- removed bogus requires: python-cheetah is only needed by
  repsys-1.6.x+

* Tue Jul 18 2006 Andreas Hasenack <andreas@mandriva.com>
+ 2006-07-18 16:39:34 (41543)
- updated to version 1.5.7

* Mon Jul 17 2006 Andreas Hasenack <andreas@mandriva.com>
+ 2006-07-17 23:10:59 (41506)
- updated to version 1.5.6

* Wed Jul 12 2006 Andreas Hasenack <andreas@mandriva.com>
+ 2006-07-12 20:40:49 (41001)
- updated to version 1.5.5
- removed moredefines patch: already applied upstream

* Fri Jun 23 2006 Andreas Hasenack <andreas@mandriva.com>
+ 2006-06-23 18:16:08 (37986)
- using mkrel

* Fri Jun 23 2006 Andreas Hasenack <andreas@mandriva.com>
+ 2006-06-23 18:05:30 (37984)
- define a more complete rpm environment for constructing the .src.rpm
  so all the files end up being where we expect them to be

* Mon May 29 2006 Andreas Hasenack <andreas@mandriva.com>
+ 2006-05-29 14:36:37 (31646)
- renamed mdv to packages because mdv is too generic and it's hosting only packages anyway

* Tue Feb 14 2006 Andreas Hasenack <andreas@mandriva.com>
+ 2006-02-14 18:00:51 (1737)
- downgraded to version 1.5.4: 1.6.0 is not ready for prime time
  (bumped epoch)
- removed patch that was already applied in version 1.5.4 (wasn't being
  applied to 1.6.0 either)

* Thu Feb 02 2006 Andreas Hasenack <andreas@mandriva.com>
+ 2006-02-02 20:25:12 (1563)
- added new requires for python-cheetah

* Thu Feb 02 2006 Andreas Hasenack <andreas@mandriva.com>
+ 2006-02-02 20:18:54 (1562)
- updated to version 1.6.0 which has the new %%changelog mechanism
- dropped patches already applied upstream
- install config file

* Fri Sep 30 2005 Andreas Hasenack <andreas@mandriva.com>
+ 2005-09-30 23:25:48 (979)
- releasing 1.5.3.1-4mdk

* Fri Sep 30 2005 Andreas Hasenack <andreas@mandriva.com>
+ 2005-09-30 23:10:53 (978)
- fixed author's email
- fixed mandriva logo url

* Fri Sep 30 2005 Andreas Hasenack <andreas@mandriva.com>
+ 2005-09-30 22:41:45 (977)
- fixed mime-type of the repsys-mdk.patch

* Tue Jul 26 2005 Helio Chissini de Castro <helio@mandriva.com>
+ 2005-07-26 09:48:46 (441)
- Changes on behalf of Oden Eriksson
- update S1
- lib64 fixes
- this is no noarch package
- rpmlint fixes

* Wed Jun 29 2005 Helio Chissini de Castro <helio@mandriva.com>
+ 2005-06-29 09:50:47 (257)
- Upload new spec

* Wed Jun 29 2005 Helio Chissini de Castro <helio@mandriva.com>
+ 2005-06-29 09:44:48 (256)
- Fixed ugly type on url type svn+ssh

* Tue Jun 28 2005 Helio Chissini de Castro <helio@mandriva.com>
+ 2005-06-28 12:22:47 (248)
- Update repsys to match new changelog requirements ( just release keep unchanged )
- Update getsrpm-mdk to genrate srpm with changelog
- Fixed regexp for unicode/color chars in terminal ( thanks to aurelio )

* Tue Jun 14 2005 Helio Chissini de Castro <helio@mandriva.com>
+ 2005-06-14 10:04:31 (206)
- Start to fix builds on x86_64 archs.

* Wed Jun 08 2005 Helio Chissini de Castro <helio@mandriva.com>
+ 2005-06-08 09:48:55 (151)
- Fixed patch for get real changelog and version

* Sun May 29 2005 Helio Chissini de Castro <helio@mandriva.com>
+ 2005-05-29 18:08:25 (147)
- Added changelog patch to match mdk style

* Fri May 27 2005 Helio Chissini de Castro <helio@mandriva.com>
+ 2005-05-27 15:26:17 (146)
- Added rebrand script for match release number with svn
- Added wrapper script for get srpms ready for submit to cluster compilation

* Fri May 27 2005 Helio Chissini de Castro <helio@mandriva.com>
+ 2005-05-27 14:46:09 (145)
- Added suggested changes by neoclust

* Fri May 27 2005 Helio Chissini de Castro <helio@mandriva.com>
+ 2005-05-27 09:23:34 (144)
- Added initial users on default

* Wed May 25 2005 Helio Chissini de Castro <helio@mandriva.com>
+ 2005-05-25 16:10:18 (143)
- Added a initial changelog until repsys submit is working

* Wed May 25 2005 Helio Chissini de Castro <helio@mandriva.com>
+ 2005-05-25 15:28:57 (142)
- No bziped patches

* Wed May 25 2005 Helio Chissini de Castro <helio@mandriva.com>
+ 2005-05-25 15:22:47 (141)
- Initial import of repsys package
